package com.mt.wms.basic.service;

import com.mt.wms.basic.params.KilnInfoParam;
import com.mt.wms.basic.params.KilnInfoQueryParam;
import com.mt.wms.basic.vo.KilnInfoVo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 12:12
 * @Version 1.0
 */
public interface KilnInfoService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<KilnInfoVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param kilnInfoQueryParam xx查询参数
     * @return xx列表
     */
    R<List<KilnInfoVo>> list(KilnInfoQueryParam kilnInfoQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param kilnInfoQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<KilnInfoVo>> page(KilnInfoQueryParam kilnInfoQueryParam);


    /**
     * 新增xx
     *
     * @param kilnInfoParam xx参数
     * @return 主键
     */
    R<IdVo> add(KilnInfoParam kilnInfoParam);

    /**
     * 更新xx
     *
     * @param kilnInfoParam xx参数
     * @return 主键
     */
    R<IdVo> update(KilnInfoParam kilnInfoParam);


    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    R<IdVo> delete(IdParam idParam);
}
