package com.mt.wms.basic.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: liguanghao
 * @Date: 2022/1/25 21:27
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "工艺信息视图对象", description = "用于查询工艺信息信息")
public class CraftInfoVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键，更新时需要填写", example = "1")
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", example = "1")
    private String  code;
    /**
     * 工艺号
     */
    @ApiModelProperty(value = "工艺号", example = "1")
    private String  craftCode;
    /**
     * plc值
     */
    @ApiModelProperty(value = "plc值", example = "1")
    private Integer plcValue;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态", example = "1")
    private Integer  status;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明", example = "1")
    private String  content;
}
