package com.mt.wms.common.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 * 文件上传base64字符串方式
 * </p>
 *
 * @author jiff
 * @date 2021/01/12
 * @since 1.0
 **/
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
@ApiModel("文件上传base64字符串方式")
public class UploadFileBase64Param extends BaseParam {

    @ApiModelProperty("文件类型编码")
    @NotEmpty(message = "文件类型编码不能为空")
    private String typeCode;

    @ApiModelProperty("文件名")
    @NotEmpty(message = "文件名不能为空")
    private String fileName;

    @ApiModelProperty("base64字符串")
    @NotEmpty(message = "文件base64字符串不能为空")
    private String fileBase64Str;
}
