package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 执行任务信息表
 * </p>
 *
 * @author mt
 * @since 2021-12-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_run_task")
public class RunTask extends Model<RunTask> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 任务id,关联curr_task表
     */
    @TableField("task_id")
    private Long taskId;

    /**
     * 任务编码, 查看任务编码规则
     */
    @TableField("task_code")
    private String taskCode;

    /**
     * 开始位置
     */
    @TableField("start_position")
    private String startPosition;

    /**
     * 结束位置
     */
    @TableField("end_position")
    private String endPosition;

    /**
     * 车辆id，关联车辆表：t_vehicle_info
     */
    @TableField("vehicle_id")
    private Long vehicleId;

    /**
     * 任务开始时间，车辆接收任务时间
     */
    @TableField("begin_time")
    private LocalDateTime beginTime;

    /**
     * 结束时间，车辆完成送货时间
     */
    @TableField("end_time")
    private LocalDateTime endTime;

    /**
     * 状态，0：未执行，1：正在执行，2：执行成功，3：执行失败
     */
    @TableField("status")
    private Integer status;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String TASK_ID = "task_id";

    public static final String TASK_CODE = "task_code";

    public static final String START_POSITION = "start_position";

    public static final String END_POSITION = "end_position";

    public static final String VEHICLE_ID = "vehicle_id";

    public static final String BEGIN_TIME = "begin_time";

    public static final String END_TIME = "end_time";

    public static final String STATUS = "status";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
