/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.enums;

import com.mt.wms.core.base.IEnum;

/**
 * 用户类型枚举
 *
 * @author jiff
 * @date 2018/11/13
 * @since 1.0
 */
public enum UserTypeEnum implements IEnum<Integer> {
    /**
     * 系统用户
     */
    PLATFORM(1, "平台用户"),

    ;


    private final Integer value;
    private final String label;
    private final String remark;

    UserTypeEnum(final int value, final String label) {
        this(value, label, null);
    }

    UserTypeEnum(final int value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
