/*
 * Copyright (c) 2020.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * Jsapi授权入参对象
 * </P>
 *
 * @author FanYi
 * @date 2018-11-30
 * @since 1.0
 */
@ApiModel(description = "Jsapi授权入参对象")
@Data
@Accessors(chain = true)
public class JsapiSignatureParam extends BaseParam {
    @ApiModelProperty(value = "公众号的唯一标识")
    @NotBlank(message = "appId不能为空")
    private String appId;
    /**
     * 前端调用不需要填写该参数，后端服务间调用需要填写
     */
    @ApiModelProperty(value = "公众号的appSecret", hidden = true)
    @NotBlank(message = "secret不能为空")
    private String secret;

    @ApiModelProperty(value = "前端页面url")
    @NotBlank(message = "前端页面url不能为空")
    private String url;
}
