package com.mt.wms.empty.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.dal.entity.ApmsCheckResult;
import com.mt.wms.core.dal.service.ApmsCheckResultServiceBiz;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.ApmsCheckRusultQueryParam;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: LGH
 * @Date: 2022/7/6
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "checkResult")
@Slf4j
@Api(value = "检验结果相关接口", tags = "检验结果相关接口", hidden = false)
public class CheckResultController extends BaseController {

    @Resource
    private ApmsCheckResultServiceBiz apmsCheckResultServiceBiz;

    public R<ApmsCheckResult> checkResult(ApmsCheckRusultQueryParam apmsCheckRusultQueryParam){
        ApmsCheckResult apmsCheckResult = apmsCheckResultServiceBiz.getOne(new QueryWrapper<ApmsCheckResult>()
                .eq(ApmsCheckResult.SHEET_NO, apmsCheckRusultQueryParam.getSheetNo())
                .eq(ApmsCheckResult.IDEN_CARD_NUM, apmsCheckRusultQueryParam.getIdenCardNum()));
        return successful(apmsCheckResult);
    }
}
