package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/12/17 11:29
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "出库操作参数对象", description = "用于出库操作")
public class OutStockParam extends BaseParam {
    private static final long serialVersionUID = 1L;

    /**
     * 库位id
     */
    @ApiModelProperty(value = "库位id",required = true, example = "1")
    @NotNull(message = "库位id不能为空", groups = {UpdateGroup.class})
    private Long localtionId;

    /**
     * 提升台
     */
    @ApiModelProperty(value = "液压台code",required = true, example = "1")
    @NotNull(message = "液压台code不能为空")
    private String code;
}
