package com.mt.wms.empty.service;

import com.mt.wms.core.dal.entity.OrderInfo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.OrderInfoBasePageParam;
import com.mt.wms.empty.params.OrderInfoTaskDetParam;
import com.mt.wms.empty.vo.OrderInfoTaskDetVo;
import com.mt.wms.empty.vo.OrderInfoVo;

/**
 * 订单历史相关服务
 *
 * @author xcc
 * @date 2021年11月16日
 * @since 1.0
 */
public interface OrderInfoHisService {
    /**
     * 保存历史订单信息
     *
     * @param orderInfo 订单详细
     * @return id
     */
    R<IdVo> save(OrderInfo orderInfo);


    /**
     * 查询当前订单列表
     *
     * @param orderInfoBasePageParam 查询参数
     * @return 分页结果集
     */
    R<PageVo<OrderInfoVo>> page(OrderInfoBasePageParam orderInfoBasePageParam);

    /**
     * 获取详细单条信息
     *
     * @param idParam id主键
     * @return 结果
     */
    R<OrderInfoVo> getOne(IdParam idParam);

    /**
     * 获取当前订单的详细任务信息
     *
     * @param orderInfoTaskDetParam 标识卡号与订单号
     * @return 结果
     */
    R<PageVo<OrderInfoTaskDetVo>> getTaskInfo(OrderInfoTaskDetParam orderInfoTaskDetParam);
}
