package com.mt.wms.empty.service;

import com.mt.wms.core.dal.entity.TaskHis;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.TaskHisQueryParam;
import com.mt.wms.empty.vo.CurrTaskVo;
import com.mt.wms.empty.vo.TaskHisQueryVo;

/**
 * 主任务历史相关服务
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
public interface TaskHisService {

    /**
     * 保存任务历史
     *
     * @param taskHis 任务历史
     * @return 结果
     */
    R<IdVo> save(TaskHis taskHis);

    /**
     * 查询任务历史
     *
     * @param id 任务历史
     * @return 结果
     */
    CurrTaskVo getById(IdParam id);

    /**
     * 查询分页信息
     *
     * @param param 查询参数
     * @return 结果
     */
    R<PageVo<TaskHisQueryVo>> taskHisPage(TaskHisQueryParam param);

}
