package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/12/16 19:09
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "报警信息视图对象", description = "用于查询报警信息信息")
public class AlarmInfoVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", example = "1")
    private Long id;
    /**
     * 添加时间
     */
    @ApiModelProperty(value = "添加时间", example = "0")
    private LocalDateTime createTime;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称",example = "0")
    private String equipmentName;
    /**
     * currtask任务code
     */
    @ApiModelProperty(value = "currtask任务code",example = "0")
    private String taskCode;
    /**
     * 报警类型
     */
    @ApiModelProperty(value = "报警类型",example = "0")
    private String alarmType;
    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容",example = "0")
    private String alarmInfo;
}
