package com.mt.wms.empty.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author: LGH
 * @Date: 2022/9/1
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "当前任务详细信息", description = "当前任务详细信息")
public class CurrTaskInfoVo extends BaseVo implements PageVo.ConvertVo{

    /**
     * 状态：0等待执行，1执行中,2缓存中
     */
    @ApiModelProperty("状态：0等待执行，1执行中,2缓存中")
    private Integer status;
    /**
     * 生产单号
     */
    @ApiModelProperty("生产单号")
    private String sheetNo;
    /**
     * auto_Curr_Task_id
     */
    @ApiModelProperty("auto_id")
    private Long autoExeTaskId;

    /**
     * 发起任务时间
     */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;


    /**
     * 开始位置
     */
    @ApiModelProperty("开始位置")
    private String startPosition;

    /**
     * 所有步骤
     */
    @ApiModelProperty("所有步骤")
    private String allStep;

    /**
     * 是否多步骤任务
     */
    @TableField("is_auto")
    private Integer isAuto;
    /**
     * 当前步骤,炉名或者缓存库位
     */
    @ApiModelProperty("当前步骤,炉名或者缓存库位")
    private String nowStep;

    /**
     * 标识卡详情列表
     */
    @ApiModelProperty("标识卡详情列表")
    private List<CurrTaskDetVo> currTaskDetVoList;
    /**
     * 任务步骤详情
     */
    @ApiModelProperty("任务步骤详情")
    private  List<CurrTaskVo> currTaskVoList;

    /**
     * 缓存详情
     */
    @ApiModelProperty("任务步骤详情")
    private  List<InStockInfoVo> inStockInfoVoList;
}
