package com.mt.wms.empty.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: LGH
 * @Date: 2022/9/9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "缓存信息视图对象", description = "用于查询缓存信息")
public class InStockInfoVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", example = "1")
    private Long id;
    /**
     * 库位id
     */
    @ApiModelProperty(value = "库位id",example = "0")
    private Long locationId;
    /**
     * 库位名称
     */
    @ApiModelProperty(value = "库位名称",example = "0")
    private String locationName;
    /**
     * 任务id
     */
    @ApiModelProperty(value = "任务id",example = "0")
    private Long taskId;

    /**
     * 进入缓存区的时间，插单任务按倒叙执行，正常任务按顺序执行
     */
    @ApiModelProperty(value = "进入缓存区的时间",example = "0")
    private LocalDateTime inTime;


    /**
     * 工业炉id
     */
    @ApiModelProperty(value = "工业炉id",example = "0")
    private Long kilnId;

    /**
     * 工业炉名称
     */
    @ApiModelProperty(value = "工业炉名称",example = "0")
    private String kilnName;

}
