/*
 * Copyright (c) 2019.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author jiff
 * @date 2019/7/20
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@ApiModel(value = "会话请求对象", description = "用于管理用户会话")
public class SessionParam extends BaseParam {

    @ApiModelProperty(value = "会话ID", required = true, example = "1")
    @NotNull(message = "会话ID不能为空")
    private String sessionId;
}
