/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 菜单资源查询参数
 * </p>
 *
 * @author jiff
 * @date 2018/12/12
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "菜单资源查询参数", description = "用于查询菜单资源关系")
public class MenuResourceQueryParam extends BasePageParam {

    private static final long serialVersionUID = 1L;

    /**
     * 菜单ID
     */
    @ApiModelProperty(value = "菜单ID", required = true, example = "1")
    @NotNull(message = "菜单ID不能为空")
    private Long menuId;

    /**
     * 资源名称
     */
    @ApiModelProperty(value = "资源名称", required = false, example = "新增资源")
    private String name;

    /**
     * 请求地址，可以用于前端ajax调用，后端用于做权限控制
     */
    @ApiModelProperty(value = "请求地址，可以用于前端ajax调用，后端用于做权限控制", required = false, example = "/platform-upms/resource/add")
    private String url;

}
